init:
    # the usuall renpy settings
    # not much to see
    # if you are interested how
    # I did the menu see menu.rpy

    $ library.script_version = (5, 6, 1)

    # window setup
    $ config.screen_width = 800
    $ config.screen_height = 600
    $ config.window_title = "colorless day"
    # $ _window_during_transitions = True

    # font and font sizes
    #$ style.default.font = "DejaVuSans.ttf"
    $ style.default.size = 20
    $ style.button_text.size = 20
    $ style.file_picker_text.size = 16
    $ style.prefs_js_button_text.size = 16
    $ style.prefs_label.size = 18

    image black = Solid((0, 0, 0, 255))

    $ style.gm_root.background = Solid((0, 0, 0, 255))
    $ style.window.background = RoundRect((128, 128, 128, 192))

    # textbox padding
    $ style.window.xpadding = 12
    $ style.window.top_padding = 6
    $ style.window.bottom_padding = 12

    # $ library.enter_transition = pixellate
    # $ library.exit_transition = pixellate

    # turn off sound
    # unused, I got music
    # $ config.sound = False
    # disable sound volume slider
    # there is only music
    $ library.has_sound = False

    # setting colors of text
    $ g0 = (0, 0, 0, 255)
    $ g96 = (96, 96, 96, 255)
    $ g64 = (64, 64, 64, 255)
    $ g128 = (128, 128, 128, 255)
    $ g192 = (192, 192, 192, 255)
    $ g255 = (255, 255, 255, 255)

    $ style.file_picker_entry.background = Solid(g96)
    $ style.file_picker_entry.hover_background = Solid(g192)
    $ style.file_picker_entry.activate_background = Solid(g192)
    $ style.file_picker_text.color = g192
    $ style.file_picker_text.hover_color = g192
    $ style.file_picker_new.hover_color = g96
    $ style.file_picker_new.activate_color = g192
    $ style.file_picker_new.idle_color = g96

    $ style.prefs_label.color = g128
    $ style.prefs_js_button_text.color = g192
    $ style.prefs_label.color = g128

    $ style.yesno_label.color = g128

    $ style.button_text.color = g128
    $ style.button_text.insensitive_color = g192
    $ style.button_text.hover_color = g255

    $ style.selected_button_text.color = g192
    $ style.selected_button_text.hover_color = g255
    $ style.selected_button_text.activate_color = g128

    $ style.bar.left_bar = Solid(g128)
    $ style.bar.right_bar = Solid(g96)

    # images
    # in silence
    # is girl
    image is_girl = im.Composite ((301, 533),
                                  (0, 0), "gfx/is/girlsprite2.png",
                                  (0, 0), "gfx/is/face1.png",
                                  (0, 0), "gfx/is/glasses.png",
                                 )
    image is_girl smile = im.Composite ((301, 533),
                                  (0, 0), "gfx/is/girlsprite2.png",
                                  (0, 0), "gfx/is/face3.png",
                                  (0, 0), "gfx/is/glasses.png",
                                 )
    image is_girl surprise = im.Composite ((301, 533),
                                  (0, 0), "gfx/is/girlsprite2.png",
                                  (0, 0), "gfx/is/face4.png",
                                  (0, 0), "gfx/is/glasses.png",
                                 )

    # is backgrounds
    image is_town = "gfx/is/townscene.jpg"
    image is_town bad = "gfx/is/cityruins.jpg"
    image is_school = "gfx/is/schoolbldg.jpg"

    # crowd
    image is_crowd = "gfx/is/crowded.png"
    image is_crowd a90 = im.Alpha("gfx/is/crowded.png", 0.9)
    image is_crowd a80 = im.Alpha("gfx/is/crowded.png", 0.8)
    image is_crowd a70 = im.Alpha("gfx/is/crowded.png", 0.7)
    image is_crowd a60 = im.Alpha("gfx/is/crowded.png", 0.6)
    image is_crowd a50 = im.Alpha("gfx/is/crowded.png", 0.5)
    image is_crowd a40 = im.Alpha("gfx/is/crowded.png", 0.4)
    image is_crowd a30 = im.Alpha("gfx/is/crowded.png", 0.3)
    image is_crowd a20 = im.Alpha("gfx/is/crowded.png", 0.2)
    image is_crowd a10 = im.Alpha("gfx/is/crowded.png", 0.1)

    # is scenes
    image is_class = "gfx/is/bookgirl.png"
    image is_knees = "gfx/is/girlknees2.png"
    image is_knees2 = "gfx/is/eyes3.png"
    image is_sea = "gfx/is/holdinghands2.png"

    # last dance
    image ld_ballroom = "gfx/ld/dancefloor_g.png"

    # last dance
    image ld_girldress = "gfx/ld/girldress.png"
    image ld_girldressblink = Animation("gfx/ld/openeyes.png", 4.00,
                                        "gfx/ld/halfeyes.png", 0.1,
                                        "gfx/ld/closedeyes.png", 0.2,
                                        "gfx/ld/halfeyes.png", 0.1)
    image ld_closed_eyes = LiveComposite((800,600),
                                         (0, 0), "gfx/ld/dancefloor_g.png",
                                         (192, 0), "gfx/ld/girldress.png",
                                         (192, 0), "gfx/ld/closedeyes.png")

    # unkept promise
    image up_road = "gfx/up/roughrd.jpg"
    image up_tree = "gfx/up/cherrytree_g.png"

    # up girl
    image up_girl = "gfx/up/promise3.png"
    image up_girl smile = "gfx/up/promise2.png"
    image up_girl closed_eyes= "gfx/up/promise1.png"

label end:
    $ renpy.quit()
